2007年12月31日

[plamo:28734] Re: skype_static-1.4.0.118


こじま@今年一年,お付き合いくださりありがとうございました.来年もまっ
たりとやっていく予定ですのでので,よろしくお願いします,です.

From: Misao Takazawa <tropic_lions@xxxxx>
Subject: [plamo:28733] skype_static-1.4.0.118
Date: Sun, 30 Dec 2007 22:21:42 -1100

> ./skype: /usr/lib/libstdc++.so.6: version
> `CXXABI_1.3.1' not found (required by ./skype)
> ./skype: /usr/lib/libstdc++.so.6: version
> `GLIBCXX_3.4.4' not found (required by ./skype)
>
> libstdc++.so.6はPlamoではlibstdc++.so.6.0.3への
> リンクになっているのですね。

最近では,libstdc++(C++ 用のライブラリ)は GCC に含まれていますが
Plamo-4.22 に入っている gcc-3.4.6 の libstdc++ には GLIBCXX_3.4.3 まで
しか定義されていないようです.

# 多分,GLIBCXX_3.4.4 が定義されるようになったのは GCC4 系ではないかと.

ftp://plamo.linet.gr.jp/pub/Plamo-test/for-5.0/GCC に GCC-4.2.2 のパッ
ケージを置いているので,これらと入れ替えれば何とかなるんじゃないかな?

-rw-rw-r-- 1 kojima 101 6472306 2007-10-12 22:39 gcc-4.2.2-i586-P1.tgz
-rw-rw-r-- 1 kojima 101 2959138 2007-10-12 22:39 gcc_fortran-4.2.2-i586-P1.tgz
-rw-rw-r-- 1 kojima 101 17650999 2007-10-12 22:39 gcc_g++-4.2.2-i586-P1.tgz
-rw-rw-r-- 1 kojima 101 35296544 2007-10-12 22:39 gcc_java-4.2.2-i586-P1.tgz
-rw-rw-r-- 1 kojima 101 652700 2007-10-12 22:39 gmp-4.2.2-i586-P1.tgz
-rw-rw-r-- 1 kojima 101 552692 2007-10-12 22:39 mpfr-2.3.0-i586-P1.tgz

多分,

# for i in gcc g++ g77 java gcclibs ; do
# removepkg $i
# done

で古いパッケージを削除してから,上記パッケージをインストールしてやれば
いいと思いますが,手もとでは skype はイジってないので,これだけでいいか
は不明です.

# gmp や mpfr は fortran 用なので,libstdc++ だけでいいなら,gcc-4.2.2
# と gcc_g++-4.2.2 だけでもいいはず.

------
こじま

投稿者 xml-rpc : 2007年12月31日 20:55
役に立ちました?:
過去のフィードバック 平均:(0) 総合:(0) 投票回数:(0)
本記事へのTrackback: http://hoop.euqset.org/blog/mt-tb2006.cgi/68242
トラックバック
コメント
コメントする




画像の中に見える文字を入力してください。